classification
Title: [2.7] test_tk: test_use() of test_tkinter.test_widgets randomly fails with "integer value too large to represent" on with AMD64 Windows8 3.5
Type: Stage: resolved
Components: Tkinter, Windows Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zach.ware Nosy List: paul.moore, serhiy.storchaka, steve.dower, terry.reedy, tim.golden, vstinner, zach.ware
Priority: normal Keywords: patch

Created on 2017-07-05 12:18 by vstinner, last changed 2018-01-05 23:33 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2585 merged vstinner, 2017-07-05 12:26
PR 2586 merged vstinner, 2017-07-05 12:28
PR 4121 merged serhiy.storchaka, 2017-10-25 21:11
PR 4550 merged zach.ware, 2017-11-25 00:21
Messages (34)
msg297727 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-05 12:18
http://buildbot.python.org/all/builders/AMD64%20Windows8%203.5/builds/323/steps/test/logs/stdio

======================================================================
ERROR: test_use (tkinter.test.test_tkinter.test_widgets.ToplevelTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\buildarea\3.5.bolen-windows8\build\lib\tkinter\test\test_tkinter\test_widgets.py", line 95, in test_use
    widget2 = self.create(use=wid)
  File "D:\buildarea\3.5.bolen-windows8\build\lib\tkinter\test\test_tkinter\test_widgets.py", line 70, in create
    return tkinter.Toplevel(self.root, **kwargs)
  File "D:\buildarea\3.5.bolen-windows8\build\lib\tkinter\__init__.py", line 2191, in __init__
    BaseWidget.__init__(self, master, 'toplevel', cnf, {}, extra)
  File "D:\buildarea\3.5.bolen-windows8\build\lib\tkinter\__init__.py", line 2148, in __init__
    (widgetName, self._w) + extra + self._options(cnf))
_tkinter.TclError: integer value too large to represent
msg297728 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-05 12:20
This bug looks similar to issue25263.
msg297729 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-05 12:22
The compile step mentions Tk version 8.6.4.2:

"tk-8.6.4.2 already exists, skipping."

http://buildbot.python.org/all/builders/AMD64%20Windows8%203.5/builds/323/steps/compile/logs/stdio
msg297730 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-05 12:31
It seems like the test never fails on 3.6, while 3.6 contains the fix b9d672491d5082c541bf267eb7bb99fdc6529324. Let's try to backport this change to 3.5 and 2.7 branches.
msg297731 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-05 12:37
See also bpo-16840.
msg297737 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-07-05 13:29
Thank you for backporting the fix. Seems I just forgot about this.
msg297754 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-05 13:55
Serhiy Storchaka added the comment:
> Thank you for backporting the fix. Seems I just forgot about this.

The bug wasn't notice before since test_tk fails once, but then pass
when run again... It fails randomly. But I noticed a warning on a
build, and so saw the bug. More stable buildbots should help to catch
more random bugs.
msg297757 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-05 13:58
New changeset c48a000c74b48586742c4b7eb42bba93f15953a9 by Victor Stinner in branch '3.5':
[3.5] bpo-30855: Trying to fix test_use on Windows. (#2585)
https://github.com/python/cpython/commit/c48a000c74b48586742c4b7eb42bba93f15953a9
msg297815 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-06 08:22
New changeset f6d6480b93eca6f353784579108957108750c004 by Victor Stinner in branch '2.7':
[2.7] bpo-30855: Trying to fix test_use on Windows. (#2586)
https://github.com/python/cpython/commit/f6d6480b93eca6f353784579108957108750c004
msg297819 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-06 08:56
I backported fixes to 2.7 and 3.5 branches. The test fails randomly, so I close the issue and hope that it doesn't come back.

If it comes back on 3.5, we should now get the identifier which caused the failure. I will reopen the issue if the bug occurs again.
msg299839 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-08-07 10:02
The test failed on "AMD64 Windows8.1 Refleaks 2.7" buildbot:

http://buildbot.python.org/all/builders/AMD64%20Windows8.1%20Refleaks%202.7/builds/60/steps/test/logs/stdio

test_padx (test_tkinter.test_widgets.ToplevelTest) ... ok
test_pady (test_tkinter.test_widgets.ToplevelTest) ... ok
test_relief (test_tkinter.test_widgets.ToplevelTest) ... ok
test_screen (test_tkinter.test_widgets.ToplevelTest) ... skipped 'No $DISPLAY set.'
test_takefocus (test_tkinter.test_widgets.ToplevelTest) ... ok
test_use (test_tkinter.test_widgets.ToplevelTest) ... ERROR
test_visual (test_tkinter.test_widgets.ToplevelTest) ... ok
test_width (test_tkinter.test_widgets.ToplevelTest) ... test test_tk failed -- Traceback (most recent call last):
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 92, in test_use
    widget2 = self.create(use=wid)
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 67, in create
    return tkinter.Toplevel(self.root, **kwargs)
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\Tkinter.py", line 2138, in __init__
    BaseWidget.__init__(self, master, 'toplevel', cnf, {}, extra)
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\Tkinter.py", line 2095, in __init__
    (widgetName, self._w) + extra + self._options(cnf))
TclError: expected integer but got "0xffffffff92b20298L"

ok

======================================================================
ERROR: test_use (test_tkinter.test_widgets.ToplevelTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 92, in test_use
    widget2 = self.create(use=wid)
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 67, in create
    return tkinter.Toplevel(self.root, **kwargs)
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\Tkinter.py", line 2138, in __init__
    BaseWidget.__init__(self, master, 'toplevel', cnf, {}, extra)
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\Tkinter.py", line 2095, in __init__
    (widgetName, self._w) + extra + self._options(cnf))
TclError: expected integer but got "0xffffffff92b20298L"
msg299840 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-08-07 10:07
Oh, the test also failed on Python 3.5 (on "AMD64 Windows8.1 Refleaks 3.5" buildbot):

http://buildbot.python.org/all/builders/AMD64%20Windows8.1%20Refleaks%203.5/builds/62/steps/test/logs/stdio

======================================================================
ERROR: test_use (tkinter.test.test_tkinter.test_widgets.ToplevelTest) (wid='0xffffffff87a60298')
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\buildarea\3.5.ware-win81-release.refleak\build\lib\tkinter\test\test_tkinter\test_widgets.py", line 96, in test_use
    widget2 = self.create(use=wid)
  File "D:\buildarea\3.5.ware-win81-release.refleak\build\lib\tkinter\test\test_tkinter\test_widgets.py", line 70, in create
    return tkinter.Toplevel(self.root, **kwargs)
  File "D:\buildarea\3.5.ware-win81-release.refleak\build\lib\tkinter\__init__.py", line 2190, in __init__
    BaseWidget.__init__(self, master, 'toplevel', cnf, {}, extra)
  File "D:\buildarea\3.5.ware-win81-release.refleak\build\lib\tkinter\__init__.py", line 2147, in __init__
    (widgetName, self._w) + extra + self._options(cnf))
_tkinter.TclError: integer value too large to represent
msg300135 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-08-10 23:56
Change the Python version to 2.7 only, since Python 3.5 doesn't accept bug fixes anymore (only security fixes).
msg302022 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-09-13 01:00
I didn't see this failure since one month on the 2.7 buildbots. While I fear that the bug still exists, I close it to clean up my list of open issues. I will reopen the issue if the bug strikes back!
msg304968 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-10-25 08:59
Too bad, the bug is not dead:

http://buildbot.python.org/all/#/builders/45/builds/14

test_use (test_tkinter.test_widgets.ToplevelTest) ... ERROR
test_visual (test_tkinter.test_widgets.ToplevelTest) ... ok
test test_tk failed -- Traceback (most recent call last):
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 92, in test_use
    widget2 = self.create(use=wid)
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 67, in create
    return tkinter.Toplevel(self.root, **kwargs)
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\lib-tk\Tkinter.py", line 2138, in __init__
    BaseWidget.__init__(self, master, 'toplevel', cnf, {}, extra)
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\lib-tk\Tkinter.py", line 2095, in __init__
    (widgetName, self._w) + extra + self._options(cnf))
TclError: expected integer but got "0x8e5c00d6L"
test_width (test_tkinter.test_widgets.ToplevelTest) ... ok
======================================================================
ERROR: test_use (test_tkinter.test_widgets.ToplevelTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 92, in test_use
    widget2 = self.create(use=wid)
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 67, in create
    return tkinter.Toplevel(self.root, **kwargs)
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\lib-tk\Tkinter.py", line 2138, in __init__
    BaseWidget.__init__(self, master, 'toplevel', cnf, {}, extra)
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\lib-tk\Tkinter.py", line 2095, in __init__
    (widgetName, self._w) + extra + self._options(cnf))
TclError: expected integer but got "0x8e5c00d6L"
msg305010 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-10-25 21:12
In Python 2 hex() adds the 'L' suffix for longs.
msg305011 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-10-25 21:28
New changeset 7c622be4f2e86c1999baba4f64671a5987d43d73 by Serhiy Storchaka in branch '2.7':
bpo-30855: Fix winfo_id related Tkinter test on Windows. (#4121)
https://github.com/python/cpython/commit/7c622be4f2e86c1999baba4f64671a5987d43d73
msg305029 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-10-26 07:26
Oh thank you Serhiy for the fix, this random bug was annoying!
msg305916 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-08 22:40
Hum, test_use() still fails (commit fbdd3eeba3e526e162f2eb54d224cf36ed8cfea1) on AMD64 Windows8.1 Refleaks 2.7. I reopen the issue.

http://buildbot.python.org/all/#/builders/33/builds/21

======================================================================
ERROR: test_use (test_tkinter.test_widgets.ToplevelTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 93, in test_use
    widget2 = self.create(use=wid)
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 67, in create
    return tkinter.Toplevel(self.root, **kwargs)
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\Tkinter.py", line 2138, in __init__
    BaseWidget.__init__(self, master, 'toplevel', cnf, {}, extra)
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\Tkinter.py", line 2095, in __init__
    (widgetName, self._w) + extra + self._options(cnf))
TclError: integer value too large to represent
msg305919 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-08 22:54
> Hum, test_use() still fails (commit fbdd3eeba3e526e162f2eb54d224cf36ed8cfea1) on AMD64 Windows8.1 Refleaks 2.7. I reopen the issue.

I'm not 100% sure that this build really tested the commit fbdd3eeba3e526e162f2eb54d224cf36ed8cfea1. We had an issue on the buildbot, the 2.7 builder was disabled.
msg306156 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-13 13:04
Same buildbot, same bug: AMD64 Windows8.1 Refleaks 2.7

http://buildbot.python.org/all/#/builders/33/builds/26

======================================================================
ERROR: test_use (test_tkinter.test_widgets.ToplevelTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 93, in test_use
    widget2 = self.create(use=wid)
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 67, in create
    return tkinter.Toplevel(self.root, **kwargs)
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\Tkinter.py", line 2138, in __init__
    BaseWidget.__init__(self, master, 'toplevel', cnf, {}, extra)
  File "D:\buildarea\2.7.ware-win81-release.refleak\build\lib\lib-tk\Tkinter.py", line 2095, in __init__
    (widgetName, self._w) + extra + self._options(cnf))
TclError: integer value too large to represent
msg306575 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-11-20 19:29
Ah, this is Cygwin!

This is a Tk bug (https://core.tcl.tk/tk/tktview?name=5ee8af61e5ef8e233158a43459624f4ecf58a6fe). It was fixed, but not completely. The fix doesn't work on Cygwin.
msg306576 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-11-20 19:31
> Ah, this is Cygwin!

Hmm, no; Cygwin isn't installed on ware-win81-release.

When was the fix made?  2.7 on Windows currently uses 8.5.15, we can bump it up to latest 8.5 if that will help.
msg306578 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-11-20 19:48
The fix was made 2015-11-09. The tag core-8-5-15 was created 2013-09-16.

I'm not well experienced with fossil and thought that 8.5.15 contains this fix, but now I see that this is not true. Yes, updating Tcl/Tk can help.
msg306683 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-11-21 20:12
If you'd like to do that update, there are some instructions at https://github.com/python/cpython-source-deps.  You can get AppVeyor to use dependencies from your fork of `cpython-source-deps` by adjusting PCbuild/get_externals.bat:32 to point to your username temporarily.

If you don't want to mess with it, I'll get to it sooner or later :)
msg307012 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-11-26 17:55
New changeset be1faabeef0821f188a28dd7cc6b744b89e85e94 by Zachary Ware in branch '2.7':
bpo-30855: Bump Tcl/Tk to 8.5.19 on Windows (GH-4550)
https://github.com/python/cpython/commit/be1faabeef0821f188a28dd7cc6b744b89e85e94
msg307020 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-26 21:48
Cool, thanks Zach!
msg307040 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-27 10:23
Bad news: the problem is not gone. Fail at commit 180372c08a25332429f6175d6aa036c1ec643ca3 (the commit after Zach's commit be1faabeef0821f188a28dd7cc6b744b89e85e94 in the Python 2.7 branch):

http://buildbot.python.org/all/#/builders/70/builds/28

test_use (test_tkinter.test_widgets.ToplevelTest) ... ERROR
test_visual (test_tkinter.test_widgets.ToplevelTest) ... ok
test test_tk failed -- Traceback (most recent call last):
  File "D:\buildarea\2.7.ware-win81-release\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 93, in test_use
    widget2 = self.create(use=wid)
  File "D:\buildarea\2.7.ware-win81-release\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 67, in create
    return tkinter.Toplevel(self.root, **kwargs)
  File "D:\buildarea\2.7.ware-win81-release\build\lib\lib-tk\Tkinter.py", line 2138, in __init__
    BaseWidget.__init__(self, master, 'toplevel', cnf, {}, extra)
  File "D:\buildarea\2.7.ware-win81-release\build\lib\lib-tk\Tkinter.py", line 2095, in __init__
    (widgetName, self._w) + extra + self._options(cnf))
TclError: integer value too large to represent
test_width (test_tkinter.test_widgets.ToplevelTest) ... ok
======================================================================
ERROR: test_use (test_tkinter.test_widgets.ToplevelTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\buildarea\2.7.ware-win81-release\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 93, in test_use
    widget2 = self.create(use=wid)
  File "D:\buildarea\2.7.ware-win81-release\build\lib\lib-tk\test\test_tkinter\test_widgets.py", line 67, in create
    return tkinter.Toplevel(self.root, **kwargs)
  File "D:\buildarea\2.7.ware-win81-release\build\lib\lib-tk\Tkinter.py", line 2138, in __init__
    BaseWidget.__init__(self, master, 'toplevel', cnf, {}, extra)
  File "D:\buildarea\2.7.ware-win81-release\build\lib\lib-tk\Tkinter.py", line 2095, in __init__
    (widgetName, self._w) + extra + self._options(cnf))
TclError: integer value too large to represent
msg307042 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-11-27 10:31
It still uses Tcl/Tk 8.5.15.
msg307044 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-27 10:54
Serhiy: "It still uses Tcl/Tk 8.5.15."

pythoninfo says:
---
tkinter.TCL_VERSION: 8.5
tkinter.TK_VERSION: 8.5
tkinter.info_patchlevel: 8.5.15
---

The compilation says:
---
Fetching external libraries...
(...)
tcl-8.5.19.0 already exists, skipping.
tk-8.5.19.0 already exists, skipping.
tix-8.4.3.5 already exists, skipping.
(...)
Project "D:\buildarea\2.7.ware-win81-release\build\PCbuild\_tkinter.vcxproj" (24) is building "D:\buildarea\2.7.ware-win81-release\build\PCbuild\tcl.vcxproj" (25) on node 1 (default targets).
(...)
cd /D "D:\buildarea\2.7.ware-win81-release\build\externals\tcl-8.5.19.0\win"
  nmake -f makefile.vc MACHINE=AMD64 OPTS= INSTALLDIR="D:\buildarea\2.7.ware-win81-release\build\externals\tcltk64" INSTALL_DIR="D:\buildarea\2.7.ware-win81-release\build\externals\tcltk64"  core shell dlls
  nmake -f makefile.vc MACHINE=AMD64 OPTS= INSTALLDIR="D:\buildarea\2.7.ware-win81-release\build\externals\tcltk64" INSTALL_DIR="D:\buildarea\2.7.ware-win81-release\build\externals\tcltk64"
---
msg309525 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2018-01-05 20:53
I manually cleared `externals\tcltk64` on that bot some time ago, and it appears to be happy now.
msg309526 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-01-05 20:56
Thank you Zachary! Can this issue be closed now?
msg309527 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2018-01-05 20:59
I think so :)
msg309531 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-01-05 23:33
Awesome, thanks!
History
Date User Action Args
2018-01-05 23:33:44vstinnersetmessages: + msg309531
2018-01-05 20:59:17zach.waresetstatus: open -> closed
resolution: fixed
messages: + msg309527

stage: patch review -> resolved
2018-01-05 20:56:07serhiy.storchakasetmessages: + msg309526
2018-01-05 20:53:46zach.waresetmessages: + msg309525
2017-11-27 14:42:29serhiy.storchakasetassignee: serhiy.storchaka -> zach.ware
2017-11-27 10:54:22vstinnersetmessages: + msg307044
2017-11-27 10:31:56serhiy.storchakasetmessages: + msg307042
2017-11-27 10:23:30vstinnersetmessages: + msg307040
2017-11-26 21:48:53vstinnersetmessages: + msg307020
2017-11-26 17:55:49zach.waresetmessages: + msg307012
2017-11-25 00:21:11zach.waresetstage: resolved -> patch review
pull_requests: + pull_request4481
2017-11-21 20:12:07zach.waresetmessages: + msg306683
2017-11-20 19:48:43serhiy.storchakasetmessages: + msg306578
2017-11-20 19:31:45zach.waresetmessages: + msg306576
2017-11-20 19:29:52serhiy.storchakasetmessages: + msg306575
2017-11-13 13:14:46serhiy.storchakasetassignee: serhiy.storchaka
2017-11-13 13:04:53vstinnersetmessages: + msg306156
2017-11-08 22:54:44vstinnersetmessages: + msg305919
2017-11-08 22:40:29vstinnersetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg305916
2017-10-26 07:26:26vstinnersetmessages: + msg305029
2017-10-25 21:44:01serhiy.storchakasetstatus: open -> closed
resolution: fixed
2017-10-25 21:28:08serhiy.storchakasetmessages: + msg305011
2017-10-25 21:12:27serhiy.storchakasetmessages: + msg305010
stage: patch review -> resolved
2017-10-25 21:11:10serhiy.storchakasetkeywords: + patch
stage: resolved -> patch review
pull_requests: + pull_request4090
2017-10-25 08:59:24vstinnersetstatus: closed -> open

nosy: + terry.reedy
messages: + msg304968

resolution: out of date -> (no value)
2017-09-13 01:00:04vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg302022
2017-08-10 23:56:52vstinnersettitle: [3.5] test_tk: test_use() of test_tkinter.test_widgets randomly fails with "integer value too large to represent" on with AMD64 Windows8 3.5 -> [2.7] test_tk: test_use() of test_tkinter.test_widgets randomly fails with "integer value too large to represent" on with AMD64 Windows8 3.5
messages: + msg300135
versions: + Python 2.7, - Python 3.5
2017-08-07 10:07:42vstinnersetmessages: + msg299840
2017-08-07 10:02:40vstinnersetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg299839
2017-07-06 08:56:51vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg297819

stage: resolved
2017-07-06 08:22:54vstinnersetmessages: + msg297815
2017-07-05 13:58:26vstinnersetmessages: + msg297757
2017-07-05 13:55:03vstinnersetmessages: + msg297754
2017-07-05 13:29:17serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg297737
2017-07-05 12:37:07vstinnersetmessages: + msg297731
2017-07-05 12:31:09vstinnersetmessages: + msg297730
2017-07-05 12:28:59vstinnersetpull_requests: + pull_request2657
2017-07-05 12:26:45vstinnersetpull_requests: + pull_request2656
2017-07-05 12:22:44vstinnersetmessages: + msg297729
2017-07-05 12:20:29vstinnersetmessages: + msg297728
title: test_use() of test_tkinter.test_widgets randomly fails with "integer value too large to represent" on with AMD64 Windows8 3.5 -> [3.5] test_tk: test_use() of test_tkinter.test_widgets randomly fails with "integer value too large to represent" on with AMD64 Windows8 3.5
2017-07-05 12:18:47vstinnercreate